# Interface PrimitiveType

All Superinterfaces:
  `AnnotatedConstruct, TypeMirror`

public interface PrimitiveType extends TypeMirror
Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

See Java Language Specification:
  4.2 Primitive Types and Values
Since:
  1.6
See Also:
  - `Types.getPrimitiveType(TypeKind)`

## Method Summary

### Methods declared in interface TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`
Modifier and Type
Method
Description
`<R,P> R`
`accept(TypeVisitor<R,P> v, P p)`
Applies a visitor to this type.
`boolean`
`equals(Object obj)`
Obeys the general contract of `Object.equals`.
`<A extends Annotation>
A`
`getAnnotation(Class<A> annotationType)`
Returns this construct's annotation of the specified type if such an annotation is present, else `null`.
`List<? extends AnnotationMirror>`
`getAnnotationMirrors()`
Returns the annotations that are directly present on this construct.
`<A extends Annotation>
A[]`
`getAnnotationsByType(Class<A> annotationType)`
Returns annotations of the specified type that are associated with this construct.
`TypeKind`
`getKind()`
Returns the `kind` of this type.
`int`
`hashCode()`
Obeys the general contract of `Object.hashCode`.
`String`
`toString()`
Returns an informative string representation of this type.